//
//  setMealModel.m
//  YBEducation
//
//  Created by IOS1 on 2020/5/8.
//  Copyright © 2020 IOS1. All rights reserved.
//

#import "setMealModel.h"

@implementation setMealModel
-(instancetype)initWithDic:(NSDictionary *)dic{
    if (self = [super init]) {
        self.smID = minstr([dic valueForKey:@"id"]);
        self.name = minstr([dic valueForKey:@"name"]);
        self.thumb = minstr([dic valueForKey:@"thumb"]);
        self.price = minstr([dic valueForKey:@"price"]);
        self.nums = minstr([dic valueForKey:@"nums"]);
        self.teacher = [dic valueForKey:@"teacher"];
        self.isSelected = [minstr([dic valueForKey:@"isselect"]) intValue];
        self.cartid = minstr([dic valueForKey:@"cartid"]);
        self.ismaterial = [minstr([dic valueForKey:@"ismaterial"]) intValue];

    }
    return self;
}
@end
